[project]
name = "testlauncher"
version = "0.0.6a0"
description = "A lightweight Minecraft launcher."
readme = "README.md"
requires-python = ">=3.10"
authors = [
    { name = "wei", email = "weidnite1222@gmail.com" },
]
dependencies = [
    "colorlog>=6.9,<7",
    "keyring>=25.6,<26",
    "pydantic>=2.11,<3",
    "PySide6>=6.8,<7",
    "requests>=2.32,<3",
    "tomli>=2.2,<3; python_version < '3.11'",
    "tomli-w>=1.2,<2",
]

[dependency-groups]
build = [
    "Nuitka>=4.1",
    "ordered-set>=4.1",
    "zstandard>=0.23",
    "imageio>=2.37.0"
]
test = [
    "pytest>=8.4,<10",
]

[project.urls]
Homepage = "https://repo.weispace.net/wei/Launcher"
Repository = "https://repo.weispace.net/wei/Launcher/"

[tool.uv]
package = false
